For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search

Scrape Bodega Aurrerá search result pages by providing a search term.

The bodegaaurrera_search source is designed to retrieve Bodega Aurrerá search result pages. We can return the HTML for any Bodega Aurrerá search page you like.

Request samples

The samples below illustrates how you can get Bodega Aurrerá search results.

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "bodegaaurrera_search", 
        "query": "samsung s25"
    }'
import requests
from pprint import pprint


# Structure payload.
payload = {
    'source': 'bodegaaurrera_search',
    'query': 'samsung s25'
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())

We use synchronous Realtime integration method in our examples. If you would like to use Proxy Endpoint or asynchronous Push-Pull integration, refer to the integration methods section.

Request parameter values

Generic

Parameter
Description
Default Value

source

Sets the scraper.

bodegaaurrera_search

query

The keyword or phrase to search for products.

-

start_page

Starting page number.

1

render

Enables JavaScript rendering when set to html. More info.

-

callback_url

URL to your callback endpoint. More info

-

user_agent_type

Device type and browser. The full list can be found here.

desktop

- mandatory parameter

Localization

Adapt results to a specific subdomain, store, or delivery location.

Parameter
Description
Type

subdomain

Subdomain localization. Accepts www and despensa values. Default: www

String

delivery_zip

Set the delivery or pickup location. Accepts a Mexican postal code.

String

store_id

Specify a store. See the available store IDs below.

String

fulfillment_type

Set the fulfillment method. Available values: pickup, delivery.

String

delivery_zip, store_id, and fulfillment_type apply with the despensa subdomain (despensa.bodegaaurrera.com.mx).

Find the available Bodega Aurrerá store IDs below:

Last updated

Was this helpful?